Manipuler les fichiers et dossiers
==================================

1.  (créer un dossier) En utilisant mkdir, créer un dossier nommé
    `test`.

2.  (créer un fichier) En utilisant touch, créer dans `test` un fichier
    nommé `mon_fichier.txt`.

3.  Lire le fichier nouvellement créé pour vérifier qu'il ne contient
    pas de texte.

4.  (redirection de sortie) Utiliser `ls -l` pour afficher le contenu du
    dossier `1.2 Manipuler`. Mainenant, on va utiliser `>` pour
    rediriger l'écriture des lignes qui s'affichent dans un fichier :

    ls -l > test/mon_fichier.txt

5.  Normalement, rien ne s'est affiché, car maintenant le fichier
    `mon_fichier.txt` contient ce que l'on a redirigé. Afficher le
    contenu du fichier.

6.  En utilisant nano, effacez le contenu du fichier et écrivez deux ou
    trois mots quelconques. Réitérer la procédure de redirection
    précédente et lire le fichier.

    Votre texte a disparu ! Donc **attention**, on voit que
    l'utilisation de `>` écrase le contenu des fichiers.

7.  La commande `echo` est une commande d'affichage, habituellement
    utilisée dans des scripts. Elle affiche les mots qu'on lui fournit :
    tester `echo Hello world!`

8.  Maintenant, combiner `echo` avec l'opérateur de redirection `>>`
    pour écrire une phrase et la rediriger dans le fichier
    `mon_fichier.txt`. Afficher le fichier et vérifier que cette fois,
    la phrase est ajoutée *à la fin du fichier* (`>>` n'écrase pas, elle
    rajoute à la fin).

9.  Ce fichier d'instructions étant assez long, revenez au TP en pdf à
    l'exercice suivant !
